import { ExportKubeConfigOptions } from './export-kubeconfig-options.js';
export declare class ExportKubeConfigOptionsBuilder {
    private _name;
    private _internal;
    private _kubeconfig?;
    private constructor();
    static builder(): ExportKubeConfigOptionsBuilder;
    /**
     * Set the name of the cluster (default "kind").
     * @param name
     */
    name(name: string): ExportKubeConfigOptionsBuilder;
    /**
     * Set whether to use internal or external address (default false).
     * @param internal
     */
    internal(internal: boolean): ExportKubeConfigOptionsBuilder;
    /**
     * Set the kubeconfig path (default $KUBECONFIG or $HOME/.kube/config).
     * @param kubeconfig
     */
    kubeconfig(kubeconfig: string): ExportKubeConfigOptionsBuilder;
    /**
     * Build the ExportLogsOptions instance.
     */
    build(): ExportKubeConfigOptions;
    static from(options: ExportKubeConfigOptions): ExportKubeConfigOptionsBuilder;
}
